Bug 502123 - OpenSSH below 5.2 has a vulnerability
OpenSSH below 5.2 has a vulnerability
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 20:49 EDT by Konstantin Svist
Modified: 2009-07-09 21:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 21:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Svist 2009-05-21 20:49:40 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.5) Gecko/2008120121 Firefox/3.0.5

http://news.zdnet.com/2100-9595_22-303182.html
According to the article, all versions of OpenSSH below 5.2 are vulnerable.
Latest version I see in F10 repos is 5.1*



Reproducible: Always




On Thu, May 21, 2009 at 03:46:56PM -0700, Konstantin Svist wrote:
> > See http://news.zdnet.com/2100-9595_22-303182.html
> > Apparently all versions under 5.2 (released back in February 23rd) are
> > vulnerable.
> > 
> > OpenSSH is at 5.1p1-3.fc10 in the Fedora repos. Don't see 5.2 even in
> > updates-testing. When will it become available?

File this as a bug, please.  I see that the F-11 package has a patch
that seems to address this problem.

-- Paul W. Frields http://paul.frields.org/ gpg fingerprint: 3DA6 A0AC 6D58 FEC4 0233 5906 ACDB C937 BD11 3717 http://redhat.com/ - - - - http://pfrields.fedorapeople.org/ irc.freenode.net: stickster @ #fedora-docs, #fedora-devel, #fredlug
-- fedora-list mailing list fedora-list@redhat.com To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list Guidelines: http://fedoraproject.org/wiki/Communicate/MailingListGuidelines
Comment 1 Bug Zapper 2009-06-09 12:18:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Konstantin Svist 2009-07-09 21:51:35 EDT
11 appears to use
OpenSSH_5.2p1, OpenSSL 0.9.8k-fips 25 Mar 2009

surprised nobody even took a look at this bug :P

Note You need to log in before you can comment on or make changes to this bug.